Retrieves all the contacts
Request Information
URI Parameters :
None.
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
contact| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary key |
globally unique identifier |
Required |
| firstname |
Firstname of the contact |
string |
Max length: 50 |
| lastname |
Lastname of the contact. If you have one single field available for firstname+lastname then use Lastname |
string |
Required Max length: 50 |
| company_id |
Company of the contact |
globally unique identifier |
Optionally required : company_id,company_code or company must be provided |
| company_code |
Embedded entity "company" using ERP PK when adding/updating contact |
string |
Optionally required : company_id,company_code or company must be provided |
| company |
Embedded entity "company" when adding/updating contact |
company |
Optionally required : company_id,company_code or company must be provided |
| db_language_id |
Language of the contact.If empty, will use the default on the system |
globally unique identifier | |
| db_language_code |
Language code entity using international isocode when adding/updating contact |
string | |
| db_title_id |
The title of the contact |
globally unique identifier | |
| archived |
Archive this contact to not have it anymore on the search |
boolean | |
| functions |
Function of the contact (ServiceManager,...) |
string |
Max length: 64 |
| e_login |
Login of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| e_password |
Password in clear text of the contact (if have access to ServiceDesk) |
string |
Max length: 50 |
| notes |
Notes/Remark field |
string | |
| birthdate |
Birthday date |
date | |
| create_date |
Creation date+time |
date | |
| phone |
Phone number of the contact |
string |
Max length: 50 |
| mobile |
a number of the contact |
string |
Max length: 50 |
|
|
string |
Max length: 250 |
|
| skype |
skype |
string |
Max length: 250 |
| private_phone |
Private phone number of the contact |
string |
Max length: 50 |
| private_mobile |
Private mobile number of the contact |
string |
Max length: 50 |
| private_email |
Private email |
string |
Max length: 250 |
| reference_back_office |
Field used for Embedded entity (store there your ERP PK) |
string |
Max length: 50 |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating |
date |
Response Formats
application/json, text/json
{
"id": "d34b9f57-3a23-4907-9724-086120294aa2",
"firstname": "sample string 2",
"lastname": "sample string 3",
"company_id": "2b2ea325-72f2-4a9c-b654-bad412b4ae0a",
"company_code": "sample string 5",
"company": {
"id": "a8aa163b-1da6-4c29-92de-5b5aa07a2439",
"is_client": true,
"is_supplier": true,
"archived": true,
"name": "sample string 5",
"notes": "sample string 6",
"create_date": "2026-11-16T13:28:17.3674399+00:00",
"sales_territory_id": "96e0d7d8-464e-4bae-b30e-b7d17e9e60b4",
"sales_territory_code": "sample string 9",
"sales_territory": {
"id": "f2e9a278-a7fc-4262-aae6-8f6e132f262f",
"code": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "19d2e331-8d7c-4a89-b742-1a8924b1517c",
"sales_organization_code": "sample string 5",
"sales_organization": {
"id": "1c7ae68d-8cde-488a-88d4-386d6ea50cac",
"code": "sample string 2",
"name": "sample string 3",
"description": "sample string 4",
"db_country_id": "20cd87d0-d20f-47d1-9e0d-862fe2b5b048",
"db_currency_id": "a75e233d-e1a9-4a13-9e4e-c2c8df35bbbe",
"db_language_id": "7a96f16b-118d-44fb-96ea-80bd1ce1bde4",
"accountancy_code": "sample string 8",
"archived": true,
"default_unit_of_measure_system_type": "sample string 10",
"street": "sample string 11",
"street2": "sample string 12",
"street_number": "sample string 13",
"zip": "sample string 14",
"city": "sample string 15",
"email": "sample string 16",
"phone": "sample string 17",
"fax": "sample string 18",
"url": "sample string 19",
"vat_reg_code": "sample string 20",
"modified_dateutc": "2026-11-16T13:28:17.3674399+00:00"
},
"modified_dateutc": "2026-11-16T13:28:17.3674399+00:00"
},
"marketing_segment_id": "3e12286b-91ca-4bd4-9e4e-905d8e94ea3c",
"marketing_segment_code": "sample string 11",
"sales_organization_id": "dd8da932-46a2-4163-8d2c-569d43cd93e5",
"sales_organization_code": "sample string 13",
"company_sales_status_code": "sample string 14",
"vat_reg_code": "sample string 15",
"is_working_address": true,
"parent_id": "32fc48de-da20-4d8c-91f4-e7551ff00801",
"parent_company_code": "sample string 18",
"phone": "sample string 19",
"fax": "sample string 20",
"url": "sample string 21",
"email": "sample string 22",
"street": "sample string 23",
"street_number": "sample string 24",
"city": "sample string 25",
"zip": "sample string 26",
"db_country_id": "8fbb294b-949e-4603-b0ca-49a79da4f218",
"db_country_code": "sample string 28",
"feelist_id": "dd5f47c0-9f9e-41ab-b83f-83644cbea121",
"feelist_reference_back_office": "sample string 30",
"feelist": {
"id": "a8734282-2593-46a1-88fd-d797a0420898",
"name": "sample string 2",
"description": "sample string 3",
"is_default": true,
"default_price": 1.0,
"sales_organization_id": "ff934791-3e2c-4b42-aa67-32e5721dc881",
"sales_organization_code": "sample string 6",
"reference_back_office": "sample string 7",
"modified_dateutc": "2026-11-16T13:28:17.3674399+00:00",
"db_currency_id": "f1204612-d5f1-4126-8e9f-016707c94aba",
"db_currency_code": "sample string 10"
},
"company_type_id": "1f336158-db01-42fd-8392-abc1dcffd5ca",
"company_type_name": "sample string 32",
"company_type": {
"id": "1c555e56-d0a5-4624-9f46-f18cfcf9358e",
"name": "sample string 2",
"description": "sample string 3",
"sales_organization_id": "1fc6fbee-5b0a-4c62-9328-33d0df92c97d",
"sales_organization_code": "sample string 5"
},
"db_language_id": "1c6d35f8-1c66-40f4-9e20-2713c5e60921",
"db_language_code": "sample string 34",
"code": "sample string 35",
"article_price_label_id": "9c9e6ce4-4507-426f-99ce-a97c2de47c82",
"article_price_label_code": "sample string 37",
"db_payment_method_id": "5fcc89b3-9f15-4497-93c9-472e761a5474",
"db_payment_method_reference_back_office": "sample string 39",
"db_payment_methods": {
"id": "e0905d66-b02b-4deb-b007-ea1da0421f82",
"name": "sample string 2",
"description": "sample string 3",
"reference_back_office": "sample string 4",
"activated": true,
"modified_dateutc": "2026-11-16T13:28:17.3786011+00:00"
},
"company_sector_id": "1a32a836-ac1f-4cb7-a864-871ee66c1303",
"company_sector_code": "sample string 41",
"is_lead": true,
"is_subcontractor": true,
"latitude": 1.0,
"longitude": 1.0,
"street2": "sample string 44",
"bic_code": "sample string 45",
"specialities": "sample string 46",
"register_number": "sample string 47",
"register_city": "sample string 48",
"bankaccount": "sample string 49",
"mobile": "sample string 50",
"service_manager_user_id": "a5ef5753-32ef-44f9-8ab2-5a23d5248fbc",
"service_manager_user_code": "sample string 52",
"finance_manager_user_id": "fbace0dd-2d7d-4a15-898f-3aa97293438f",
"finance_manager_user_code": "sample string 54",
"account_manager_user_id": "e1aebacc-bc35-4cc3-9157-63b235ff120c",
"account_manager_user_code": "sample string 56",
"company_status_id": "49eea3e2-2957-4d61-b7d3-50e59f034ac0",
"invoice_email_to": "sample string 58",
"modified_dateutc": "2026-11-16T13:28:17.3786011+00:00",
"id2": 60
},
"db_language_id": "02373a46-a8ca-4a56-a113-efb168efae72",
"db_language_code": "sample string 7",
"db_title_id": "f4ff63f3-f986-4008-a8b7-fd7abe471d3a",
"archived": true,
"functions": "sample string 10",
"e_login": "sample string 11",
"e_password": "sample string 12",
"notes": "sample string 13",
"birthdate": "2026-11-16T13:28:17.3786011+00:00",
"create_date": "2026-11-16T13:28:17.3786011+00:00",
"phone": "sample string 16",
"mobile": "sample string 17",
"email": "sample string 18",
"skype": "sample string 19",
"private_phone": "sample string 20",
"private_mobile": "sample string 21",
"private_email": "sample string 22",
"reference_back_office": "sample string 23",
"modified_dateutc": "2026-11-16T13:28:17.3786011+00:00"
}